Skip to main content

Update a list

Updates the specified list by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Parameters​

title
string
Title of the list.

Returns​

Returns the list object if the update succeeded. Throws an error if update parameters are invalid.

put
/api/lists/{id}
curl -X PUT https://{workspace}.kitchen.co/api/lists/{id} \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"board": "tskb_716ac736726a47f2f243c60c",
"created_at": "2024-03-21T07:45:14+00:00",
"id": "tskl_effc45e91b837cff9b5da13a",
"title": "The list title",
"updated_at": "2024-03-21T07:45:14+00:00"
}